import type { Server } from '@/domain/entities/server';

export interface ServerRepository {
  list(params?: Record<string, string>): Promise<Server[]>;
  getById(id: string): Promise<Server>;
  create(server: Omit<Server, 'id' | 'createdAt' | 'updatedAt'>): Promise<Server>;
  update(id: string, data: Partial<Server>): Promise<Server>;
  remove(id: string): Promise<void>;
}
